Bug 1913477 - In case of any issues in the middle of pre-migration, migration re-run doesn't pick up all the needed content.
Summary: In case of any issues in the middle of pre-migration, migration re-run doesn'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-06 21:01 UTC by Tanya Tereshchenko
Modified: 2021-04-21 13:25 UTC (History)
8 users (show)

Fixed In Version: python-pulp_2to3-migration-0.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 7781 0 Normal CLOSED - CURRENTRELEASE In case of any issues in the middle of pre-migration, migration re-run doesn't pick up all the needed content. 2021-02-04 12:18:35 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:42 UTC

Description Tanya Tereshchenko 2021-01-06 21:01:36 UTC
Description of problem:
If I cancel a task at pre-migration stage or if there is a failure at pre-migration time, the next migration re-run won't continue properly. It will skip content based on its last_updated timestamp.

We need to pre-migrate content ordered by last_updated date to avoid this.

Version-Release number of selected component (if applicable):
pulp-2to3-migration 0.6.0

Comment 2 pulp-infra@redhat.com 2021-01-06 21:09:52 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2021-01-06 21:09:53 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2021-01-13 13:43:13 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2021-01-19 00:48:21 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2021-01-19 02:40:19 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 7 pulp-infra@redhat.com 2021-02-04 12:18:36 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 Lai 2021-03-18 16:10:57 UTC
There's no real reliable way of reproducing the issue.  I have checked that the code is present in the build.

Verified on 6.9.0_017 with python3-pulp-2to3-migration-0.9.1-1.el7pc.noarch.

Comment 13 errata-xmlrpc 2021-04-21 13:25:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.